﻿@model IEnumerable<eCommerce.Services.Model.Accounting>

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="text-left">Nombre</th>
            <th class="text-right">Saldo ($)</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td class="text-left">@Html.DisplayFor(modelItem => item.Name)</td>
            <td class="text-right @(item.Balance < 0 ? "text-danger" : string.Empty)">@string.Format("{0:c2}", item.Balance)</td>
            <td class="actions text-center">
                
                <a href="/Transactions?AccountId=@item.AccountId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Ver Movimientos"><i class="icon wb-list-bulleted" aria-hidden="true"></i></a>
                <a href="/Accounting/AccountingUpdate/@item.AccountId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.AccountId" onclick="fDeleteDialog(@item.AccountId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
